.swatch {
  --swatch--size: var(--swatch-input--size, 3.2rem);
  --swatch--border-radius: 50%;
  display: block;
  width: var(--swatch--size);
  max-width: 100%;
  aspect-ratio: 1 / 1;
  background-color: var(--swatch--background);
  border: 0.15rem solid rgba(0,0,0,0.15);
  border-radius: var(--swatch--border-radius);
  opacity: 1 !important;
}

.swatch--square {
  --swatch--border-radius: 0.4rem;
}

.swatch--unavailable {
  opacity: 0.3;
}